'use strict';

var _yeomanGenerator = require('yeoman-generator');

var _path = require('path');

var path = _interopRequireWildcard(_path);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

module.exports = _yeomanGenerator.Base.extend({
  promptProjectType: function promptProjectType() {
    var that = this;
    var done = this.async();

    this.prompt([{
      type: 'confirm',
      name: 'deps',
      message: 'Automatically install dependencies?',
      default: false
    }, {
      type: 'input',
      name: 'name',
      message: 'Project name?',
      default: 'node-app'
    }, {
      type: 'input',
      name: 'author',
      message: 'Author name?',
      store: true,
      default: ''
    }], function (answers) {
      Object.assign(that, answers);
      done();
    });
  },
  copyTemplate: function copyTemplate() {
    var mainDir = path.join(require.resolve('es6-node-base/package.json'), '../');
    this.fs.copy(this.templatePath(mainDir) + '/**/{*,.*}', this.destinationPath(), { dot: true });
    this.fs.move(this.destinationPath('.npmignore'), this.destinationPath('.gitignore'));
    var jsonContent = this.fs.readJSON(this.destinationPath('package.json'));
    var unusedFields = ['gitHead', 'readme', 'readmeFilename'].concat(_toConsumableArray(Object.keys(jsonContent).filter(function (field) {
      return field.charAt(0) === '_';
    })));
    unusedFields.forEach(function (entry) {
      jsonContent[entry] = 'x';
      delete jsonContent[entry];
    });
    var projectName = this.name.trim().toLowerCase().replace(/ /g, '-');
    jsonContent.name = projectName;
    jsonContent.author = this.author.trim();
    this.fs.writeJSON(this.destinationPath('package.json'), jsonContent);
  },
  install: function install() {
    if (this.deps) this.installDependencies({ bower: false });
  }
});
//# sourceMappingURL=index.js.map